#
# spec file for package libbonobo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libbonobo
BuildRequires:  bison
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  glib2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libxml2-devel
BuildRequires:  orbit2-devel
BuildRequires:  popt-devel
BuildRequires:  translation-update-upstream
Summary:        The Bonobo Component System for the GNOME 2.x Desktop Platform
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/GNOME
Version:        2.32.1
Release:        21.5
# Obsolete for >=9.1:
Obsoletes:      bonobo-activation
Provides:       bonobo-activation
# bug437293
%ifarch ppc64
Obsoletes:      libbonobo-64bit
%endif
#
Source:         http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.32/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch2:         bonobo-activation-config.patch
# PATCH-FIX-OPENSUSE libbonobo-lib64.patch vuntz@opensuse.org -- Handle libdir in addition to libexecdir on 64-bit machines for .server files
Patch3:         libbonobo-lib64.patch
# PATCH-FEATURE-OPENSUSE libbonobo-fate300461-server-gettext.patch fate300461 vuntz@novell.com -- Look for translation of .server files via gettext
Patch4:         libbonobo-fate300461-server-gettext.patch
Recommends:     %{name}-lang = %{version}

%description
Bonobo is a component system for the GNOME platform. Libbonobo is the
new version for the GNOME 2.x Desktop platform.

%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       glib2-devel
Requires:       orbit2-devel
Requires:       popt-devel
# Obsolete for >=9.1:
Obsoletes:      bonobo-activation-devel
Provides:       bonobo-activation-devel
# bug437293
%ifarch ppc64
Obsoletes:      libbonobo-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
# Obsolete for >=9.1:
Obsoletes:      bonobo-activation-doc
Provides:       bonobo-activation-doc

%description doc
Bonobo is a component system for the GNOME platform. Libbonobo is the
new version for the GNOME 2.x platform.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch2
%if "%{_lib}" == "lib64"
%patch3 -p1
%endif
%patch4 -p1

%build
%configure --with-pic\
	--disable-static
echo "#undef G_DISABLE_DEPRECATED" >> config.h
# Do not use parallel build.. to many random fallouts
make -j1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%if "%{_lib}" == "lib64"
# we need to create the arch-independent directory for .servers file
install -d %{buildroot}%{_libexecdir}/bonobo/servers
%endif
%find_lang libbonobo-2.0
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_sbindir}/bonobo-activation-sysconf
%{_libdir}/*.so.*
%{_libdir}/bonobo/
%if "%{_libdir}" != "%{_libexecdir}"
%{_libexecdir}/bonobo/
%endif
%{_libexecdir}/bonobo-activation-server
%{_libdir}/orbit-2.0/*.so
%doc %{_mandir}/man?/*.*
%dir %{_sysconfdir}/bonobo-activation
%config %{_sysconfdir}/bonobo-activation/bonobo-activation-config.xml

%files lang -f libbonobo-2.0.lang

%files devel
%defattr(-,root,root)
%{_datadir}/idl/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/*
%dir %{_libdir}/bonobo-2.0
%{_libdir}/bonobo-2.0/samples

%changelog
* Fri Sep  9 2016 mmarek@suse.cz
- Rebuild with a fixed flex package to fix a buffer overflow
  (bsc#990856, CVE-2016-6354).
* Tue Jan  7 2014 dimstar@opensuse.org
- Disable parallel build: to many random fallouts occur.
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Thu Mar  7 2013 dimstar@opensuse.org
- Add "#undef G_DISABLE_DEPRECATED" to the generated config.h, to
  allow the usage of deprectaed glib symbols (e.g. g_thread_*).
* Fri Feb  1 2013 coolo@suse.com
- update license to new format
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 2.32.1:
  + Updated translations.
* Sun Dec 19 2010 vuntz@opensuse.org
- Update libbonobo-lib64.patch to make the patch actually work as
  intended: when building the path list to know where .server files
  should be looked for, we were forgetting to add a ':' between the
  lib64 path and the lib one, which resulted in having none of
  them.
* Wed Dec 15 2010 vuntz@opensuse.org
- Rework the support for both libdir and libexecdir for .server
  files on 64bit machines:
  + Update bonobo-activation-config.patch to not add
    /usr/local/lib64/bonobo/servers unconditionally.
  + Add libbonobo-lib64.patch that we only apply if %%_lib is lib64:
    we change the configuration, the code, and the documentation to
    support both libdir and libexecdir.
  + Remove previous crude sed hacks that were trying to do this.
  + Manually create %%{_libexecdir}/bonobo/servers in %%install for
    64bit machines.
- Do not pass --libexecdir=%%{_prefix}/lib/bonobo to configure: we
  don't need that.
* Wed Oct 13 2010 vuntz@opensuse.org
- Remove libidl BuildRequires: there was no need for such an
  explicit BuildRequires.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Sun Aug 29 2010 dimstar@opensuse.org
- Update to version 2.31.91:
  + Port to GDBus
  + Translation updates.
- Remove dbus-1-glib-devel BuildRequires.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.24.3:
  + Set up dbus environment in test-activation/test.sh
  + Fix memory corruption
  + Updated translations.
- Remove en@shaw translations on 11.2 and earlier.
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Thu Nov 26 2009 michael.meeks@novell.com
- drop libbonobo-2.20.0-quit-with-dbus.patch, a better
  version has been up-stream for some time.
* Wed Nov 25 2009 dimstar@opensuse.org
- Respin libbonobo-2.20.0-quit-with-dbus.patch to apply with fuzz=0
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 2.24.2:
  + Fix build with recent automake.
  + Updated translations.
- Drop libbonobo-automake1.11.patch: fixed upstream.
* Tue Jun 16 2009 vuntz@novell.com
- Add libbonobo-automake1.11.patch to fix build with new automake.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Mar  9 2009 vuntz@novell.com
- Add popt-devel BuildRequires.
- Remove unneeded BuildRequires: docbook_4, gnome-common, openssl,
  perl-XML-Parser, xmlcharent.
- Remove AutoReqProv: it's default now.
- Use makeinstall.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.24.1:
  + Win32 portability fixes
  + cleanups for newer glib releases
  + Other cleanups for single glib includes
  + Cross-compiling fixes
- Remove -fno-strict-aliasing from CFLAGS.
- Drop libbonobo-includes.patch: doesn't seem to be useful anymore.
- Drop libbonobo-strict-aliasing.patch: doesn't seem to be useful
  anymore.
* Mon Jan 26 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Dec  4 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Mon Sep 22 2008 maw@suse.de
- Update to version 2.24.0:
  + Add a threading fix
  + Updated translations.
* Sat Aug 23 2008 mboman@novell.com
- Updated to version 2.23.1:
  * Fix a race (Michael)
  * Documentation improvement (Tobias Mueller)
  * Check that we're initialized properly (Tobias Mueller)
* Mon Jul 28 2008 vuntz@novell.com
- Add libbonobo-fate300461-server-gettext.patch to support
  translation of .server files via gettext. The domain can be
  defined with the suse-gettext-domain key in the .server file.
  Related to fate#300461.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.23.0:
  + Use D-BUS to start and exit when the session ends.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Misc gcc 4.3 fixes
  + Updated translations.
* Wed Jan 30 2008 maw@suse.de
- Update to version 2.21.90:
  + Fix build against glib 2.15.4
- Build with -fno-strict-aliasing.
* Thu Jan 24 2008 jpr@suse.de
- Update to version 2.20.3:
  * Fix some gcc'isms causing problems with glib 2.15.0
  * fix C99ism
  * Fix regression introduced in 2.20.0
  * Code cleanup
* Fri Nov 23 2007 maw@suse.de
- Update to version 2.20.1:
  + Memory leaks fixed
  + Updated translations.
* Fri Nov  9 2007 hpj@suse.de
- Add libbonobo-2.20.0-quit-with-dbus.patch, which makes
  bonobo-activation-server quit when the session D-Bus does. This
  prevents stale D-Bus addresses from being passed on to future
  sessions. Fixes Novell bug #331577.
* Mon Sep 17 2007 gekker@suse.de
- Update to version 2.20.0
  * Add unit test for bug 427992. (Gustavo Carneiro)
  * Align configure switches (Gilles Dartiguelounge)
  * Updated translations.
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- Use %%fdupes
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Tue Jul 31 2007 maw@suse.de
- Update to version 2.19.6:
  * Use gmodule-no-export-2.0 instead of gmodule-2.0 (#449841)
  * Win32 fix for pipe macro (Tor Lillqvist)
  * Fix b-a-s crash with legacy client (Gustavo Carneiro)
  * Code cleanup (Kjartan Maraas)
  * Use glib/gi18n[-lib].h instead of bonobo-i18n.h (Christian Persch)
  * Fix memory leak reported by valgrind (Matthias Clasen, Gustavo)
* Thu Mar 29 2007 rguenther@suse.de
- Add bison and flex BuildRequires.
* Wed Mar 21 2007 maw@suse.de
- Update to version 2.18.0
- Bug fixes, including b.g.o 409065, 363033, and 363033.
* Fri Feb 16 2007 maw@suse.de
- Update to version 2.17.91.
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Mon Jan 29 2007 sbrabec@suse.cz
- Included /usr/local directories to bonobo activation
  configuration.
* Wed Jan  3 2007 sbrabec@suse.cz
- Worked around bonobo-slay bi-arch problems.
* Wed Jan  3 2007 sbrabec@suse.cz
- Spec file cleanup.
* Wed Jan  3 2007 maw@suse.de
- Move to /usr.
* Thu Dec 28 2006 jhargadon@suse.de
- removed unneeded libtool files (#223684)
* Fri Oct 13 2006 danw@suse.de
- Remove dead patches
* Tue Sep 12 2006 jhargadon@suse.de
- update to version 2.16.0
- API DOC fixes
- Don't check for xrdb or dladdr when we don't use them
- Updated and new translations
* Tue Aug 29 2006 jhargadon@suse.de
- update to version 2.15.3
- Fix ghtread configure test when building uninstalled
- Various bonobo-activation login fixes
- Various cleanups of exception handling
- Fixes for panel sometimes hanging on login
* Thu Aug 17 2006 jhargadon@suse.de
- update to version 2.15.2
- Warning and build fixes
- New and updated translations
- Fix Coverity reports for leaks, accessing uninitialized memory
    and null pointer derefs
* Fri Jul 21 2006 gekker@suse.de
- Update to version 2.15.0
- Remove upstreamed patches
  * Add new MIME api to make gnome-vfs not have a hard dependency on
    libbonobo (Alex)
  * Fix some leaks (Kjartan)
  * Win32 portability fixes (Tor)
  * po/LINGUAS porting (Przemysław Grzegorczyk)
  * Port to GOption from popt (Michael Terry)
  * Build fixes and cleanups (Michael Meeks, Kjartan)
- Update to version 2.13.93
  * Always pass program arguments to bonobo_activation_init (Michael)
  * Fixed re-enterancy problems on slow machines (Michael)
  * Translation updates
- Update to version 2.13.1
  * Fix corruption issue that was causing hangs on login (Michael)
  * Fix GOption argument parsing typo (Christian Perch)
  * Unregister run-time defined ServerInfos on program exit (Gustavo)
- Update to version 2.13.0
  * Rework the end-user installation location independence code for Win32 (Tor Lillqvist)
  * Don't use deprecated functions (Kjartan)
  * Fix build on solaris 10 with sun studio 10 compiler [#315145]
  * Add support for GOption argument parsing in libgnome (Pawel Sliwowski, chpe) [#307312]
  * Merge cleanups from stable (Kjartan)
  * Translation updates
* Wed May 17 2006 gekker@suse.de
- Fix file descriptor leak (#176555)
* Tue Mar  7 2006 jpr@suse.de
- Prevent re-entrancy crash (#149735)
* Sat Feb 18 2006 aj@suse.de
- Reduce BuildRequires.
* Tue Feb  7 2006 rodrigo@suse.de
- Fixed problems with arguments parsing and GOptions (148666)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 jpr@suse.de
- Patch corrupted memory (#141322)
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.10.1
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.10.0
* Thu Jun 16 2005 gekker@suse.de
- Fix sentinel patch to work with new glib2.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Wed Feb  9 2005 gekker@suse.de
- Update to 2.8.1
- Update neededforbuild, so that it will build docs
* Mon Jan 31 2005 meissner@suse.de
- added attribute sentinel/printf patch to spot
  bad use of va_list functions.
* Mon Nov 22 2004 ro@suse.de
- make specfile rpm3 compliant ...
  (non numeric if arguments need quoting)
* Fri Nov 19 2004 gekker@suse.de
- Update version to 2.8.0
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Mon Jul  5 2004 jody@suse.de
- Updated to version 2.6.2 (GNOME 2.6).
* Wed Apr 21 2004 sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Thu Feb  5 2004 hhetter@suse.de
- updated to version 2.4.3 [GNOME 2.4.2]
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Mon Oct  6 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Aug 16 2003 adrian@suse.de
- the devel package Requires: bonobo-activation-devel
* Fri Aug  8 2003 schwab@suse.de
- Fix missing declarations.
* Wed Jul 23 2003 hhetter@suse.de
- don't try to install broken index files
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 17 2003 sbrabec@suse.cz
- Updated to version 2.2.3.
- Prefix clash fixes.
- Added packages for correct doc build.
* Wed Jan 29 2003 hhetter@suse.de
- updated to 2.2.0 version
* Wed Jan 15 2003 hhetter@suse.de
- updated to version 2.1.1
* Fri Nov  1 2002 sbrabec@suse.cz
- Do not own /opt/gnome2/lib/bonobo-2.0/samples, because this is also used
  by libbonoboui.
* Thu Oct 31 2002 hhetter@suse.de
- updated to 2.0.1
- x86_64.diff is upstream, removed
* Thu Oct 24 2002 hhetter@suse.de
- remove wrong docdir
- run automake with -c to copy missing files, not link
  (Bug Id #21066)
* Mon Oct 21 2002 sbrabec@suse.cz
- Update %%files.
* Tue Sep 10 2002 sf@suse.de
- added fix for va_args handling on hammer
* Thu Aug 15 2002 hhetter@suse.de
- branch doc package
* Fri Aug  9 2002 hhetter@suse.de
- add openssl to neededforbuild
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Wed Jun 19 2002 ro@suse.de
- use "-a -f" for automake
* Tue Jun  4 2002 hhetter@suse.de
- updated to stable release 2.0.0
* Tue May 14 2002 ro@suse.de
- added servers and monikers dirs to filelist (in $libdir/bonobo)
* Tue May 14 2002 ro@suse.de
- use libdir
* Tue Apr  9 2002 hhetter@suse.de
- update to version 1.113.0 [gnome desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
* Thu Jan 17 2002 hhetter@suse.de
- prefix to /opt/gnome2
- specfile cleanup
* Fri Jan 11 2002 hhetter@suse.de
- updated to 1.109.0
* Wed Jan  9 2002 hhetter@suse.de
- fixed filelist
* Tue Jan  8 2002 hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
- build with automake 1.5
